<?php

return array
(
	# 表名
	'name' => 'template',
	# 显示给用户看的名称
	'lang' => '模板配置',
	# 后台菜单排序
	'order' => 3,
	'menu' => false,
	'check' => 'key',
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			'list'		=> true,
			'order'		=> 'desc',
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-32',
			'name' 		=> '模板名称',
			'default' 	=> '',
			'desc' 		=> '模板名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'key'       => array
        (
            'type'      => 'varchar-60',
            'name'      => '模板标识',
            'default'   => '',
            'desc'      => '模板标识',
            'match'     => 'is_string',
            'update'    => Dever::input('where_id') ? 'hidden' : 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

		'desc'		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> '模板描述',
			'default' 	=> '',
			'desc' 		=> '模板描述',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'pic'       => array
        (
            'type'      => 'varchar-150',
            'name'      => '模板图片',
            'default'   => '',
            'desc'      => '模板图片',
            'match'     => 'option',
            'update'    => 'image',
            'key'       => '1',
        ),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'lang' => 'name,desc',
		'insert' => false,
		'edit' => false,

		# 自定义快捷新增和编辑
		'button' => array
		(
			'新增' => array('fast'),
		),
		# 快捷更新
		'list_button' => array
		(
			'edit' => array('编辑'),
		),
	),

	'default' => array
	(
		'col' => '`name`,`desc`,`key`,`state`,`cdate`',
		'value' => array
		(
			'"默认模板","默认模板", "home", 1,' . DEVER_TIME,
		),
	),

	'request' => array
	(
		
	),
);
